## plyara 2.1.0

=== debian/changelog ===
plyara (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * d/rules: add chmod for example scripts

 -- Robert Haist <rha@debian.org>  Thu, 23 Jul 2020 16:14:43 +0200

plyara (2.0.3-3) unstable; urgency=medium

  [ Robert Haist ]
  * Clarify licensing
  * Switch to debhelper-compat

 -- Robert Haist <rha@debian.org>  Sun, 15 Mar 2020 14:21:50 +0100

plyara (2.0.3-2) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add salsa-ci.yml

  [ Robert Haist ]
  * Add copyright additions as suggested by ftp master
  * Edit gbp.conf according to the pkg security team defaults
  * d/control: Add Provides for plyara as suggested by ftp master

 -- Robert Haist <rha@debian.org>  Wed, 22 Jan 2020 12:01:28 +0100

plyara (2.0.3-1) unstable; urgency=medium

  * Bump compat and standards version
  * Add gbp.conf
  * Add plyara examples
  * Add Rules-Requires-Root to d/control
  * New upstream version 2.0.3

 -- Robert Haist <rhaist@mailbox.org>  Tue, 24 Sep 2019 15:56:27 +0200

plyara (2.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #921158)

 -- Robert Haist <rhaist@mailbox.org>  Sun, 03 Feb 2019 16:58:40 +0100

## plyara 2.1.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = plyara
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
plyara (2.1.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields

  [ Robert Haist ]
  * New upstream version 2.1.1

 -- Robert Haist <rha@debian.org>  Mon, 28 Sep 2020 13:53:51 +0200

=== debian/control ===
Source: plyara
Section: python
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Robert Haist <rha@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-ply,
               python3-setuptools
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/plyara/plyara
Vcs-Browser: https://salsa.debian.org/pkg-security-team/plyara
Vcs-Git: https://salsa.debian.org/pkg-security-team/plyara.git

Package: python3-plyara
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: plyara
Description: Parse YARA rules and operate over them more easily
 Plyara is a Python script and library that lexes and parses a file consisting
 of one more YARA rules into a Python dictionary representation. The goal of
 this tool is to make it easier to perform bulk operations or transformations
 of large sets of YARA rules, such as extracting indicators, updating
 attributes, and analyzing a corpus. Other applications include linters and
 dependency checkers.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/plyara-$1\.tar\.gz/ \
  https://github.com/plyara/plyara/tags .*/v?(\d\S+)\.tar\.gz

## plyara 2.2.6

=== debian/changelog ===
plyara (2.2.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Update lintian override info format in d/python3-plyara.lintian-overrides on line 2.

  [ Robert Haist ]
  * New upstream version 2.2.6
  * Add build dependency pybuild-plugin-pyproject
  * Add build dependency python3-pycodestyle
  * Add build dependency python3-pydocstyle
  * Add build dependency python3-pyflakes
  * Update copyright year to 2025
  * Bump debian standards version to 4.7.0

 -- Robert Haist <rha@debian.org>  Fri, 10 Jan 2025 09:10:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,16 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Robert Haist <rha@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-ply,
+               python3-pycodestyle,
+               python3-pydocstyle,
+               python3-pyflakes,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/plyara/plyara
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/plyara

## plyara 2.2.8

=== debian/changelog ===
plyara (2.2.8-1) unstable; urgency=medium

  * New upstream version 2.2.8
  * Add git as build dependency

 -- Robert Haist <rha@debian.org>  Thu, 20 Feb 2025 09:56:02 +0100

plyara (2.2.7-1) unstable; urgency=medium

  * New upstream version 2.2.7
  * Fix lintian overrides
  * Fix copyright: new test file locations
  * Modernize uscan configuration

 -- Robert Haist <rha@debian.org>  Tue, 21 Jan 2025 10:17:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Robert Haist <rha@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               git,
                pybuild-plugin-pyproject,
                python3-all,
                python3-ply,

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=plyara

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installexamples:
	chmod 644 examples/corpus_stats.py
	dh_installexamples

=== debian/watch ===
version=4
https://github.com/plyara/plyara/tags .*/v?(\d.*)@ARCHIVE_EXT@
